Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.SetSchemaOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SetSchema`, `ClientWireProtocol.SetSchema.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.SetSchemaOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getSchema()`
`string schema = 1;`
`com.google.protobuf.ByteString`
`getSchemaBytes()`
`string schema = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getSchema

String getSchema()
`string schema = 1;`

Returns:
  The schema.

### getSchemaBytes

com.google.protobuf.ByteString getSchemaBytes()
`string schema = 1;`

Returns:
  The bytes for schema.